Page MenuHomePhabricator

<span lang="XX-YY"> added on XX Wikipedia
Closed, ResolvedPublic8 Story Points

Description

In https://fr.wikipedia.org/w/index.php?diff=113669090 there were many <span lang="fr-FR"> tags added, even though it's on the French Wikipedia. This looks like T71494 but I'm not sure it's exactly the same issue. One cause might be the mix of French and English text.

See also https://en.wikipedia.org/w/index.php?diff=656444224 with <span lang="EN-US"> on the English Wikipedia.

Event Timeline

gpaumier created this task.Apr 10 2015, 3:50 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 3:50 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Nnemo added a subscriber: Nnemo.Apr 12 2015, 9:26 PM
gpaumier renamed this task from <span lang="fr-FR"> added on the French Wikipedia to <span lang="XX-YY"> added on XX Wikipedia.Apr 14 2015, 3:55 PM
gpaumier updated the task description. (Show Details)

Variants with just <span lang="XX">:

https://fr.wikipedia.org/w/index.php?title=Chip-Seq&oldid=113950851
<span lang="FR">Séquençage simple-molécule</span>

https://fr.wikipedia.org/w/index.php?title=Liberlande&diff=prev&oldid=113947611
<span lang="fr">Citoyenneté</span>

Change 205585 had a related patch set uploaded (by Esanders):
Strip language annotations on external import

https://gerrit.wikimedia.org/r/205585

Couldn't reproduce this locally, but will add language annotations to the external import blacklist, which should prevent this.

Elitre added a subscriber: Elitre.Apr 21 2015, 1:28 PM

Change 205585 merged by jenkins-bot:
Strip language annotations on external import

https://gerrit.wikimedia.org/r/205585

Jay8g added a subscriber: Jay8g.Apr 22 2015, 2:57 AM
Jdforrester-WMF closed this task as Resolved.Apr 24 2015, 4:47 PM
Jdforrester-WMF removed a subscriber: He7d3r.